Summary:	An implementation of the Scheme programming language
Name:		umb-scheme
Version:	3.2
Release: %mkrel 25
License:	GPL
Group:		Development/Other

# no good URL available
URL:            http://www.cs.umb.edu/~bill/

Source:		ftp://ftp.cs.umb.edu/pub/scheme/umb-scheme-3.2.tar.bz2
Source1: http://swissnet.ai.mit.edu/ftpdir/scm/slib3a3.zip
Source2: slibcat
Patch0:		umb-scheme-3.2-misc.patch
Patch1:		umb-scheme-3.2-texinfo.patch
Patch2:		umb-scheme-3.2-config.patch
Patch3:		umb-scheme-3.2-man.patch
Patch4: umb-scheme-3.2-chapter.patch
Patch5: umb-scheme-3.2-slib2c7.patch
Patch6: umb-scheme-3.2-share.patch
Patch7: scheme-3.2-fix-info-dir-entry.patch
Patch100: umb-scheme-3.2-config_mdk.patch
BuildRoot:	%{_tmppath}/%name-%version-%release-root
BuildRequires:	gcc texinfo unzip
Requires(post): info-install
Requires(preun): info-install

%description
UMB Scheme is a public domain implementation of the Scheme programming
language.  Scheme is a statically scoped and properly tail-recursive
dialect of the Lisp programming language, designed with clear and
simple semantics and a minimal number of ways to form expressions.

Install the umb-scheme package if you need an implementation of the
Scheme programming language.

%prep

%setup -q -n scheme-3.2
rm -fr slib
unzip -q -o %{SOURCE1}
%patch0 -p1 -b .misc
%patch1 -p1 -b .texinf
%patch2 -p1 -b .conf
%patch3 -p1 -b .man
%patch4 -p1 -b .chapter
%patch5 -p1 -b .slib
%patch6 -p1 -b .share
%patch7 -p1

%build
%make
makeinfo scheme.texinfo

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_infodir},%{_datadir}/umb-scheme,%{_mandir}/man1}

install -m755 scheme %buildroot/%_bindir/umb-scheme
install -m755 scheme.1 %buildroot/%_mandir/man1/umb-scheme.1
# from RedHat
install -m644 %{SOURCE2} $RPM_BUILD_ROOT%{_datadir}/umb-scheme/slibcat

cp -r slib %buildroot/%_datadir/umb-scheme
#find slib | cpio -pdm $RPM_BUILD_ROOT%{_datadir}/umb-scheme

install -m644 prelude.scheme %buildroot/%_datadir/umb-scheme
install -m644 SLIB-for-umb-scheme.init %buildroot/%_datadir/umb-scheme

install -m644 scheme.info %buildroot/%_infodir/umb-scheme.info

# Remove unpackaged file(s)
rm -rf ${RPM_BUILD_ROOT}/%{_datadir}/umb-scheme/SLIB-for-umb-scheme.init

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files
%defattr(-,root,root)
%doc slib/ANNOUNCE slib/FAQ slib/README
%{_mandir}/man1/umb-scheme.*
%{_infodir}/umb-scheme.info*
%attr(0755,root,root) %{_bindir}/umb-scheme
%attr(0755,root,root) %dir %{_datadir}/umb-scheme
%attr(0644,root,root) %{_datadir}/umb-scheme/prelude.scheme
%attr(0644,root,root) %{_datadir}/umb-scheme/slibcat
%attr(0755,root,root) %dir %{_datadir}/umb-scheme/slib
%attr(0644,root,root) %{_datadir}/umb-scheme/slib/*


%changelog
* Wed Aug 29 2007 Oden Eriksson <oeriksson@mandriva.com> 3.2-25mdv2008.0
+ Revision: 74824
- fix build

  + Thierry Vignaud <tvignaud@mandriva.com>
    - fix man pages extension


* Tue Aug 08 2006 Götz Waschk <waschk@mandriva.org> 3.2-24mdv2007.0
- update patch 6
- update slib to 3a3

* Sun Jan 01 2006 Mandriva Linux Team <http://www.mandrivaexpert.com/> 3.2-23mdk
- Rebuild

* Wed Aug 10 2005 Frederic Crozat <fcrozat@mandriva.com> 3.2-22mdk 
- Fix dependencies for info-install (Mdk bug #17413)

* Wed Jul 07 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 3.2-21mdk
- rebuild

